> For the complete documentation index, see [llms.txt](https://docs.swingsoftware.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.swingsoftware.com/pdf-converter-for-notes/tips-miscellaneous/java-files-jar-list.md).

# Java files (jar) list

This is the list of SWING PDF Converter jar files that are by default extracted to:

&#x20;`C:\<LOTUS NOTES INSTALL DIR>\Data\SwPDFC\java`

| **File Name**                                 | **Notes version support** | **Description**              |
| --------------------------------------------- | ------------------------- | ---------------------------- |
| swpdfc-2.0.0.jar                              | ALL                       | SWING PDF Converter main jar |
| flying-saucer-sw\.jar                         | ALL                       | HTML renderer                |
| swUtilities.jar                               | ALL                       | Utilities classes            |
| iText-2.1.7-sw\.jar                           | LND 7+                    | PDF generator                |
| swlmbcs.jar                                   | ALL                       | multibyte text decoder       |
| htmlcleaner2\_1.jar                           | ALL                       | HTML utility                 |
| zip4j\_1.3.2.jar                              | ALL                       | zip utility for Java         |
| commons-io-1.4.jar                            | ALL                       | IO utility                   |
| slf4j-api-1.7.7.jar                           | ALL                       | logging                      |
| commons-logging-1.1.1.jar                     | ALL                       | logging                      |
| bcpkix-jdk13-151.jar                          | ALL                       | cryptography provider        |
| bcprov-jdk13-151.jar                          | ALL                       | cryptography provider        |
| swjre-1.4.2.jar                               | LND 7                     | JVM extension for LND 7      |
| jce.jar                                       | LND 7                     | JVM extension for LND 7      |
| jce-jdk13-145.jar                             | LND 7                     | JVM extension for LND 7      |
| iText-2.1.7-swR6.jar                          | LND 6                     | PDF generator                |
| swjre-1.3.1.jar                               | LND 6                     | JVM extension for LND 6      |
| cajo.jar                                      | LND 6                     | cross JVM communication      |
| jodconverter-3.0.4.jar                        | ALL                       | OpenOffice conversion        |
| sw-unoil-3.2.1.jar                            | ALL                       | OpenOffice conversion        |
| juh-3.2.1.jar                                 | ALL                       | OpenOffice conversion        |
| jurt-3.2.1.jar                                | ALL                       | OpenOffice conversion        |
| ridl-3.2.1.jar                                | ALL                       | OpenOffice conversion        |
| xstream-1.3.1.jar                             | ALL                       | OpenOffice conversion        |
| jai\_codec.jar                                | ALL                       | Java Advanced Imaging        |
| jai\_core.jar                                 | ALL                       | Java Advanced Imaging        |
| commons-codec-1.4.jar                         | ALL                       | Apache HTTP                  |
| commons-httpclient-3.0.jar                    | ALL                       | Apache HTTP                  |
| chemistry-opencmis-client-api-0.10.0.jar      | LND 8+                    | CMIS engine                  |
| chemistry-opencmis-client-bindings-0.10.0.jar | LND 8+                    | CMIS engine                  |
| chemistry-opencmis-client-impl-0.10.0.jar     | LND 8+                    | CMIS engine                  |
| chemistry-opencmis-commons-api-0.10.0.jar     | LND 8+                    | CMIS engine                  |
| chemistry-opencmis-commons-impl-0.10.0.jar    | LND 8+                    | CMIS engine                  |
| swcmis-module.jar                             | LND 8+                    | CMIS engine                  |

\*LND - Lotus Notes / Domino

Not all files are extracted to installation directory, extraction files are determined by LND version.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.swingsoftware.com/pdf-converter-for-notes/tips-miscellaneous/java-files-jar-list.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
